This is a view of extended statistics for an Apache WWW server. The Apache mod_status module must be enabled and the ExtendedStatus directive value set to On in the server configuration.
If the Apache server is not running on this host or not using the default URL for statistics, the remote option described below must be used.
Note: you may also concurrently use the basic apache statistics module.

Data is displayed in 3 tables with the following columns:

- server number, generation*, operating system process identifier, number of accesses, operating mode.
- server number, most recent request age, most recent request processing time, connection traffic, child traffic, accumulated slot traffic, dynamic slot traffic.
- server number, client network address, virtual host, HTTP request.

*: only available for servers after version 1.3.6.

When there is a communication error with the server, all rows disappear and displayed tables become empty. A descriptive error message is also generated in such a case.

Module options:

- -r (--remote) [http://]host[statusLocator]
  where host if the hostname or IP address where the Apache server is running. The protocol header is optional (only HTTP is supported). The statusLocator must be specified if the Apache server was configured with a status handler value other than server-status. If this option is not specified, data will be retrieved from this host using the following URL: http://127.0.0.1/server-status.
- --proxyhost address
  where address is the name of the proxy host, if any.
- --proxyport number
  where number is the proxy port number.

In all cases, the module title is set to apachex(host).

Examples:

    $ moodss apachex
    $ moodss apachex -r www.foo.com
    $ moodss apachex -r www.foo.com/server-status
    $ moodss apachex --remote http://www.foo.com/status
    $ moodss apache apachex
    $ moodss apache -r www.foo.com apachex -r www.foo.com
    $ moodss apachex -r www.foo.com --proxyhost proxy.foo.com --proxyport 8000